Subject: Re: [1/4] powerpc: change the doorbell IPI calling convention

From: Michael Ellerman <[email-masked]>
Date: Wed, 19 Apr 2017 13:47:17 +1000 (AEST)

On Thu, 2017-04-13 at 10:16:21 UTC, Nicholas Piggin wrote:
> Change the doorbell callers to know about their msgsnd addressing,
> rather than have them set a per-cpu target data tag at boot that gets
> sent to the cause_ipi functions. The data is only used for doorbell IPI
> functions, no other IPI types, so it makes sense to keep that detail
> local to doorbell.
> 
> Have the platform code understand doorbell IPIs, rather than the
> interrupt controller code understand them. Platform code can look at
> capabilities it has available and decide which to use.
> 
> Signed-off-by: Nicholas Piggin <[email-masked]>

Series applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/b866cc2199d6a6cdcefe4acfe4cfca

cheers